/Users/bernard/b20/bsoft/src/jpartdif.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/jpartdif.cpp - Analysis of particle differences between two starfiles.

SYNOPSIS

#include 'rwmg.h'
#include 'mg_processing.h'
#include 'mg_multiple.h'
#include 'mg_particle_select.h'
#include 'Matrix.h'
#include 'utilities.h'
#include 'options.h'
#include 'timer.h'
#include 'Vector3.h'
#include 'View.h'

  Functions
int main (int argc, char **argv)

  Variables
int verbose
const char * use []

Detailed Description

Analysis of particle differences between two starfiles.

Author:
    Juha Huiskonen

    Bernard Heymann

Date:
    Created: 20071214

    Modified: 20111506

    Modified: 20120106

    Modified: 20150108 (BH) - incorporated into Bsoft

Definition in file jpartdif.cpp.

Function Documentation

  int main (int argc, char ** argv)

Definition at line 53 of file jpartdif.cpp.

Variable Documentation

  const char* use[]
Initial value:

= {
" ",
"Usage: jpartdif [options] input1.star input2.star",
"-------------------------------------------------",
"Calculates the difference in the particle parameters,",
"or selects particles based on the fom difference.",
" ",
"Parameters:",
"-verbose 7               Verbosity of output.",
"-consolidate             Only consolidate particles based on distance.",
"-locdiff                 Calculate the difference in the locations.",
"-fomdiff                 Calculate the difference in the foms.",
"-printlocdiff            Print the difference in the locations.",
"-printanglediff          Print the difference in the view angle.",
"-printalphadiff          Print the difference in the alpha angles.",
"-thrlocdiff 10.0         Analyse only particles below threshold (pixels).",
"-thranglediff 20.0       Analyse only particles below threshold (degrees).",
"-remove                  Remove all particles with selection number 0.",
" ",
"Output:",
"-output file.star        Output parameter file.",
" ",
NULL
}

Definition at line 27 of file jpartdif.cpp.

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.